#ifndef PATHSELECTORWIDGETFACTORY_H
#define PATHSELECTORWIDGETFACTORY_H

#include "IxWidgetFactory.h"

class PathSelectorWidget;

class PathSelectorWidgetFactory : public IxWidgetFactory
{
public:
    PathSelectorWidgetFactory();

public:
    virtual void create(qx::IxDataMember *dataMember, QWidget *parent);

    virtual QString type() const;

    virtual QWidget *getWidget() const;

    virtual IxWidget *getIxWidget() const;

private:
    PathSelectorWidget *widget;
};

#endif // PATHSELECTORWIDGETFACTORY_H
